Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Jun 2017 22:23:10 +0300

[Please keep the bug address on the CC line, so this is recorded by
the bug tracker.]

> From: Alexander Miller <[email-masked]>
> Date: Mon, 19 Jun 2017 19:26:23 +0200
> 
> > Can you show a minimal recipe, assuming company-mode was already
> > loaded, to reproduce the issue?  Such a recipe will make the job of
> > looking into the issue much easier, TIA
> It's just the code you see in the pictures, starting from emacs -q.
> 
> Here it is again for easy copy-pasting:

Thanks, I will try to look into this.

> >   Per Martin's analysis, the
> > same problems should happen when the buffer has line-prefix defined;
> > could you try that?
> You're right, exactly the same thing happens.

OK, then may I suggest you raise this issue with the respective
package developers?  They could for now use line-prefix as trigger for
the problem; once they fix that, I think the problem with line numbers
will go away as well.  I will try to help them to pinpoint their
problem using the recipe you provided.